var MongoClient = require('mongodb').MongoClient;

const url = "mongodb://localhost";
const dbName = "exo74";

MongoClient.connect(url, function (error, client) {
	if (error) throw error;
	
	console.log("Connecté à la base de données "+dbName);
	
	const db = client.db(dbName);
	
	db.createCollection("col1", function (error, results) {
		if (error) throw error;
		
		console.log("Collection col1 créée");	
	});
	
	db.collection("col1").insertOne({nom:"Dupont"}, function (error, r) {
			if (error) throw error;
		});
		
	db.collection("col1").insertMany([{nom:"Martin"}, {nom: "Durand"}], function (error, r) {
			if (error) throw error;
		});
	
});